package com.unmi.login.ui;

import java.awt.Color;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.KeyAdapter;
import java.awt.event.KeyEvent;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPasswordField;
import javax.swing.JTextField;
import javax.swing.border.LineBorder;

import org.osgi.framework.BundleContext;
import org.osgi.framework.ServiceReference;

import com.unmi.login.service.Validator;

/**
 * @author Unmi
 * ¼ڣťұߵĸʶǰʲô֤ʽN-δ֪F-FileL-LdapD-Db
 * ڵײʾ½֤Ƿɹʧʾԭ
 */
public class LoginWindow extends JFrame implements ActionListener{
	
	private BundleContext context;
	private JTextField nameField = new JTextField(10);
	private JPasswordField passField = new JPasswordField(10);
	
	//ʾǰ֤ķʽN-δ֪F-FileL-LdapD-Db
	private JLabel serviceFlagLable = new JLabel("N");
	
	private JLabel msgLable = new JLabel("ȷʻ");
	
	// BundleContext 
	public void setContext(BundleContext context){
		this.context = context;
	}
	
	/**
	 * ʼ½
	 */
	public LoginWindow(){
		
		setTitle("½");
		setSize(210, 150);
		setResizable(false);
		setLocationRelativeTo(null);
		
		setLayout(new FlowLayout());
		add(new JLabel("ʻ"));
		add(nameField);
		
		add(new JLabel("룺"));
		add(passField);
		
		JButton button = new JButton(" ½");
		
		//лس൱ڵťֱӵõ½
		passField.addKeyListener(new KeyAdapter() {
			public void keyReleased(KeyEvent e){
				if(e.getKeyCode()== KeyEvent.VK_ENTER){
					actionPerformed(null);
				}
			}
		});
		
		add(button);
		button.addActionListener(this);
		
		serviceFlagLable.setBorder(new LineBorder(Color.RED));
		add(serviceFlagLable);
		
		msgLable.setForeground(Color.BLUE);
		add(msgLable);
	}
	
	/**
	 * ½ť󴥷Ĳ
	 */
	public void actionPerformed(ActionEvent e) {
		
		//ȡһõ Validator ķʵֵ
		ServiceReference serviceRef=context.getServiceReference(
				Validator.class.getCanonicalName());
		
		//ͨķʽԻпʵֵãڳѡ֤ʽ
		//ServiceReference[] serviceRefcontext.getAllServiceReferences(clazz, filter)
		
		if(serviceRef != null){
			
			//ɷûþʵ
			Validator validator = (Validator)context.getService(serviceRef);
			try {
				
				//÷ʵ֤û
				boolean flag = validator.validate(nameField.getText(), 
						new String(passField.getPassword()));
				
				//ȡʵĵһĸʾΪǰ֤ʽ FileValidatorImpl, ʾΪ F
				serviceFlagLable.setText(validator.getClass().getSimpleName().substring(0,1));
				
				if(flag){
					msgLable.setForeground(Color.BLUE);
					msgLable.setText("ϲѳɹ½ϵͳ");
				}else{
					msgLable.setForeground(Color.RED);
					msgLable.setText("½ʧܣȷʻ");
				}
			} catch (Exception e1) {
				e1.printStackTrace();
			}
		}else{
			msgLable.setForeground(Color.RED);
			msgLable.setText("½ʧܣȱӦ֤");
			serviceFlagLable.setText("N");
		}
	}
}
